---
title: KeyPackage Functionality
sidebar:
  label: KeyPackage
---

## Overview

The KeyPackage is a feature designed to securely package and transfer key data
between different devices. It encapsulates both the public and private keys of
multiple key pairs, ensuring that users can maintain cryptographic functionality
across various platforms. This document outlines the process of creating,
exporting, and safely transferring a KeyPackage.

## Creating a KeyPackage



## Exporting the KeyPackage

After configuring the export settings:

1. Click on the 'OK' button to create the KeyPackage.
2. The interface will generate two files:
   - A `.gpgpack` file containing the packaged keys.
   - A `.key` file which should be kept confidential and deleted after the transfer is complete.

## Security Notice

When the KeyPackage is successfully created, a message will inform you that the
package is protected with encryption algorithms (e.g., AES-256-ECB) and is safe
to transfer. However, it emphasizes that the key file must not be disclosed
under any circumstances. Users are advised to delete the KeyPackage file and the
key file as soon as possible after the transfer is complete.

## Transferring the KeyPackage

To transfer the KeyPackage:

1. Use a secure transfer method to move the `.gpgpack` file to the target
   device. This could be through a secured network connection, encrypted email,
   or a physical device like a USB drive, which should be encrypted as well.
2. Once transferred, import the KeyPackage into the key management tool on the
   target device using the passphrase set during the creation process.

## After Transfer: Importing and Verifying



## Best Practices

- Always ensure that you are transferring key data over a secure channel.
- Keep the passphrase strong and confidential.
- Delete the KeyPackage files from all devices and any intermediaries (like
  email servers or cloud storage) after the transfer is complete to prevent
  unauthorized access.

## Conclusion

The KeyPackage feature streamlines the process of transferring key data between
devices while maintaining high security standards. By following the steps
outlined in this document, users can effectively manage their cryptographic keys
across multiple platforms.
